Endpoints that provide information about firms.
Get firms
Retrieves information about adviser firms associated with the Resource Owner.
Note that in the UAT environment, this endpoint returns one firm per page. In the production environment each page contains multiple firms.
Authorisation Requirements
This endpoint requires a valid Transact access token with:
FIRMorNETWORKroleentity.readscope
query Parameters
cursorOpaque cursor to the result page to include in the response. Appropriate values for this field may be retrieved
from a response object's first, prev, next, last, and self fields.
Headers
Transact-Api-VersionThe targeted API version. This must be set to the current version of the API.
AuthorizationTransact access token, provided using the Bearer HTTP authentication scheme.
Get firms › Responses
Retrieved successfully.
The list of firms.
selfPagination cursor pointing to the current page.
firstPagination cursor pointing to the first page.
prevPagination cursor pointing to the previous page.
nextPagination cursor pointing to the next page.
lastPagination cursor pointing to the last page.
Object containing the applied query filters.
Get a firm
Retrieves information about an adviser firm. The firm must be associated with the Resource Owner.
If the Resource Owner is itself an adviser firm, self can be used in place of the nine digit
firm_id to return the Resource Owner's information.
Authorisation Requirements
This endpoint requires a valid Transact access token with:
FIRMorNETWORKroleentity.readscope
path Parameters
firm_id^([0-9]{9}|self)$ · requiredThe firm's Transact number.
Headers
Transact-Api-VersionThe targeted API version. This must be set to the current version of the API.
AuthorizationTransact access token, provided using the Bearer HTTP authentication scheme.

